package com.financial.department.factoringprocess.model;

/**
 * This class was automatically generated by the data modeler tool.
 */

public class FactoringInquiry implements java.io.Serializable {

	static final long serialVersionUID = 1L;

	@org.kie.api.definition.type.Label("advancePercentage")
	private java.lang.Double advancePercentage;
	@org.kie.api.definition.type.Label("collectionCommissionPercentage")
	private java.lang.Double collectionCommissionPercentage;
	@org.kie.api.definition.type.Label("operatingExpenses")
	private java.lang.Double operatingExpenses;
	@org.kie.api.definition.type.Label("tiea")
	private java.lang.Double tiea;
	@org.kie.api.definition.type.Label("tied")
	private java.lang.Double tied;
	@org.kie.api.definition.type.Label("igv")
	private java.lang.Double igv;

	@org.kie.api.definition.type.Label("country")
	private java.lang.String country;

	@org.kie.api.definition.type.Label("city")
	private java.lang.String city;

	@org.kie.api.definition.type.Label("riskType")
	private java.lang.String riskType;

	@org.kie.api.definition.type.Label(value = "customerType")
	private java.lang.String customerType;

	public FactoringInquiry() {
	}

	public java.lang.Double getAdvancePercentage() {
		return this.advancePercentage;
	}

	public void setAdvancePercentage(java.lang.Double advancePercentage) {
		this.advancePercentage = advancePercentage;
	}

	public java.lang.Double getCollectionCommissionPercentage() {
		return this.collectionCommissionPercentage;
	}

	public void setCollectionCommissionPercentage(
			java.lang.Double collectionCommissionPercentage) {
		this.collectionCommissionPercentage = collectionCommissionPercentage;
	}

	public java.lang.Double getOperatingExpenses() {
		return this.operatingExpenses;
	}

	public void setOperatingExpenses(java.lang.Double operatingExpenses) {
		this.operatingExpenses = operatingExpenses;
	}

	public java.lang.Double getTiea() {
		return this.tiea;
	}

	public void setTiea(java.lang.Double tiea) {
		this.tiea = tiea;
	}

	public java.lang.Double getTied() {
		return this.tied;
	}

	public void setTied(java.lang.Double tied) {
		this.tied = tied;
	}

	public java.lang.Double getIgv() {
		return this.igv;
	}

	public void setIgv(java.lang.Double igv) {
		this.igv = igv;
	}

	public java.lang.String getCountry() {
		return this.country;
	}

	public void setCountry(java.lang.String country) {
		this.country = country;
	}

	public java.lang.String getCity() {
		return this.city;
	}

	public void setCity(java.lang.String city) {
		this.city = city;
	}

	public java.lang.String getRiskType() {
		return this.riskType;
	}

	public void setRiskType(java.lang.String riskType) {
		this.riskType = riskType;
	}

	public java.lang.String getCustomerType() {
		return this.customerType;
	}

	public void setCustomerType(java.lang.String customerType) {
		this.customerType = customerType;
	}

	public FactoringInquiry(java.lang.Double advancePercentage,
			java.lang.Double collectionCommissionPercentage,
			java.lang.Double operatingExpenses, java.lang.Double tiea,
			java.lang.Double tied, java.lang.Double igv,
			java.lang.String country, java.lang.String city,
			java.lang.String riskType, java.lang.String customerType) {
		this.advancePercentage = advancePercentage;
		this.collectionCommissionPercentage = collectionCommissionPercentage;
		this.operatingExpenses = operatingExpenses;
		this.tiea = tiea;
		this.tied = tied;
		this.igv = igv;
		this.country = country;
		this.city = city;
		this.riskType = riskType;
		this.customerType = customerType;
	}

}